Lexx's Antigas Armor Mod

Here is the patch to fix the English language file error. You need to install Lexx's Antigas Armor Mod 3.0 first, then install thi...

Download

Uploading...
Do not refresh or leave this page!

File Description

Here is the patch to fix the English language file error.

You need to install Lexx's Antigas Armor Mod 3.0 first, then install this patch.

You can find the original mod here.

Read More

Comments on this File

There are no comments yet. Be the first!

Lexx2k


50 XP


Registered 4th April 2007

6 Files Uploaded

Share This File
Embed File